
/*-----------------------------------------------------------------------------------------------*/
/* interface/sqlconsole.h 	                                                                     */
/* copyright (c) innovaphone 2013                                                                */
/*                                                                                               */
/*-----------------------------------------------------------------------------------------------*/

class ISqlConsoleProvider * CreateSqlConsoleProvider();

class ISqlConsoleProvider {
public:
    virtual ~ISqlConsoleProvider() {};
    virtual class ISqlConsole * CreateSqlConsole(class IDatabase * database) = 0;
};

class ISqlConsole : public UJsonApiContext {
public:
    virtual ~ISqlConsole() {};
    virtual void Init(class USqlConsole * user) = 0;
    virtual void Close() = 0;
};

class USqlConsole {
public:
    virtual void SqlConsoleInitComplete() = 0;
    virtual void SqlConsoleCloseComplete() = 0;
};
